### Property

# Soup Session:timeout

since: 3.0

#### Declaration

    property timeout: guint [ read, write ]

#### Description [src]

The timeout (in seconds) for socket I/O operations (including connecting to a server, and waiting for a reply to an HTTP request).

Although you can change this property at any time, it will only affect newly-created connections, not currently-open ones. You can call `soup_session_abort()` after setting this if you want to ensure that all future connections will have this timeout value.

Not to be confused with `SoupSession:idle-timeout` (which is the length of time that idle persistent connections will be kept open).

Type: | `guint`
Available since: | 3.0

Default value | 0
Getter method | `soup_session_get_timeout()`
Setter method | `soup_session_set_timeout()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no